WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: GRAND Flash Album Gallery] Upgrade broke gallery (12 posts)

  1. skingsle
    Member
    Posted 4 years ago #

    Loved the look of the gallery before I tried to upgrade, and I’m sure I will love it again, but since the upgrade, I am getting this message on two machines, all browsers.

    “The Flash Player and a browser with Javascript support are needed.”

    Upgrade broke gallery here:

    Tried to replace same gallery with same images after upgrade. Same message.

    Has anyone else seen this?

    Thank you.

  2. skingsle
    Member
    Posted 4 years ago #

    UPDATE: After a restore, the gallery is still broken, which seems odd. So I have upgraded again and am moving forward.

    I am using WP 2.9.2 and have made no other recent changes. Thought anyone?

    Thank you,

  3. luca.pretto
    Member
    Posted 4 years ago #

    Broken after 0.40 upgrade on 2.9.2. Got this error:

    "[IOErrorEvent type="ioError" bubbles=false cancelable=false eventPhase=2 text="Error #2032"]"

    Tried "Reset settings" with no luck.
    Only a complete restore of both files and database solved.

  4. uldisx1
    Member
    Posted 4 years ago #

    broken after 0.40 upgrade on 2.9.1.

    I dont get any error message, but cant see gallery in posts.

    For ex. one of posts : http://www.laulibas.lv/?p=2656

  5. uldisx1
    Member
    Posted 4 years ago #

    Use ‘Reset options’. You can find this button at FlAG Gallery Overview. For me helps. After reset you can try use proxy or other exlorer if you use catch.

  6. uldisx1
    Member
    Posted 4 years ago #

    And i copy skins from old directory to flagallery-skins

  7. skingsle
    Member
    Posted 4 years ago #

    Reset had not effect.

    HostGator techs offered this, but it is beyond my level of expertise to understand what it really means.

    http://ascottkingsley.com/best_of_wedding_gallery
    Displays: "The Flash Player and a browser with Javascript support are needed."

    I enabled the plugin and found the following java errors reported on the page.

    Webpage error details
    ---
    Message: Expected ')'
    Line: 204
    Char: 145
    Code: 0
    URI: http://ascottkingsley.com/best_of_wedding_gallery
    ---

    I checked a few associated scripts and did not find any missing ')'. Its possible the following code in the script "wp-content/plugins/flash-album-gallery.bak/lib/class.swfobject.php" is causing the error.

    `$this->embedSWF = 'swfobject.switchOffAutoHideShow();'."\n";
    $this->embedSWF .= 'swfobject.embedSWF("'. $swfUrl .'", "'. $this->id .'", "'. $width .'", "'. $height .'", "'. $version .'", "'. $expressInstallSwfurl .'", this.flashvars, this.params, this.attr );' . "\n";
    $this->embedSWF .= 'swfobject.createCSS("#'. $id . '_f' . $swfCounter .'","outline:none");' . "\n";`

    Could you please check this with the application developer ? Our support is limited since the issue looks likely due to incorrect syntax.

  8. uldisx1
    Member
    Posted 4 years ago #

    skingsle copy skins from old directory - /wp-content/plugins/flash-album-gallery/skins to new wp-content/plugins/flagallery-skins for me works :)

  9. skingsle
    Member
    Posted 4 years ago #

    Thank you uldisx1. I have followed all instructions and the error continues. Moving on with new plugin. But would still love to know what went wrong.

    Best to you.

  10. kosis
    Member
    Posted 4 years ago #

    No problems before the upgrade (using WP 2.9.2).
    The Flash Album Gallery plugin is clearly broken / buggy in 0.42.

    Among other things I have experienced:

    (1) If you have more than one page of images, after page 1 the blue SAVE CHANGES button (normally on the right) disappears below the SORT GALLERY and ADD IMAGES buttons (only a sliver of blue is visible).

    (2) The EDIT THUMB button has disappeared entirely, being replaced by a new META button; i.e., you can no longer edit thumbnails.

    (3) A 4-5 line text script runs in the flash screen before a gallery loads.

    I am only running four other plugins; I deactivated them all and still got the bugs. It's not a plugin conflict.

  11. Rattus
    Member
    Posted 4 years ago #

    OK. I found a new conflict with nextgen plugin. Wait for update v0.43. I'll fix it as soon as possible.

  12. kosis
    Member
    Posted 4 years ago #

    Follow up:

    All three of my problems have been resolved by changing to Firefox to access my admin panel in WP.

    Sergey says he disabled the Javascript link for Internet Explorer because of problems IE has with Javascript for thumbnail editing.

    I was using IE 7++ and had the issues listed above. Those issues disappear in Firefox.

    He does, however, say that those issues do not exist in IE 8. I'm unsure because I do not have IE 8.
    Am I recounting that correctly?

Topic Closed

This topic has been closed to new replies.

About this Topic